#
# spec file for package perl-FreezeThaw (Version 0.5001)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-FreezeThaw
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Converting Perl structures to strings and back
Version:        0.5001
Release:        19.40
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/FreezeThaw
Source0:        http://search.cpan.org/CPAN/authors/id/I/IL/ILYAZ/modules/FreezeThaw-0.5001.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Converts data to/from stringified form, appropriate for saving-to/reading-from
permanent storage.

Deals with objects, circular lists, repeated appearence of the same refence.
Does not deal with overloaded stringify operator yet.

  Author:	Ilya Zakharevich
%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
# normally you only need to check for doc files
%defattr(0644,root,root,0755)
%doc Changes README

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr  4 2010 chris@computersalat.de
- update to 0.5001
  o Switch to a course version-check to recognize that regexps are
    first-level (otherwise would need to rely on Scalar::Utils).
    (Tested to work with 5.8, 5.10, 5.11.)
- enabled check
* Fri Apr  2 2010 chris@computersalat.de
- update to 0.50
  o Support RExes of 5.11 and later (XXXX but not yet reblessed ones...)
    (prototype by Andreas Koenig)
- fixed perl-macros deps
- disabled check for o:F
  o testsuite broken for perl-5.12
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Jul 27 2009 coolo@novell.com
- merge factory and build service
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 27 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- some spec mods
  o added header
* Thu Mar 19 2009 lrupp@suse.de
- initial version 0.45
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb 16 2005 schwab@suse.de
- Don't remove BuildRoot in %%install.
* Wed Feb 16 2005 lmuelle@suse.de
- Initial SuSE package.
